document.addEventListener('DOMContentLoaded', function () {
    const timeline = document.querySelector('.timeline');
    const timelineItems = document.querySelectorAll('.timeline-item');
    const indicator = document.querySelector('.timeline-indicator');

    if (!timeline || !indicator) return; // 确保选择器正确

    // 设置 timeline 容器的高度以确保 indicator 能够在整个滚动区域内移动
    function updateTimelineHeight() {
        const lastItem = timelineItems[timelineItems.length - 1];
        if (lastItem) {
            const lastItemRect = lastItem.getBoundingClientRect();
            const timelineRect = timeline.getBoundingClientRect();
            const height = lastItemRect.bottom - timelineRect.top;
            timeline.style.height = `${height}px`;
        }
    }

    // 处理滚动事件
    function updateIndicatorPosition() {
        let activeIndex = -1;

        timelineItems.forEach((item, index) => {
            const box = item.querySelector('.content-box');
            const rect = box.getBoundingClientRect();

            if (rect.top >= 0 && rect.bottom <= window.innerHeight) {
                box.classList.add('active');
                activeIndex = index;  // 设置当前的 activeIndex
            } else {
                box.classList.remove('active');
            }
        });

        if (activeIndex !== -1) {
            const activeItem = timelineItems[activeIndex];
            const rect = activeItem.getBoundingClientRect();
            const timelineRect = timeline.getBoundingClientRect();

            // 根据 activeItem 的位置来设置滑块的位置
            const indicatorTop = rect.top + rect.height / 2 - timelineRect.top;
            indicator.style.top = `${Math.max(0, indicatorTop)}px`;
        }
    }

    // 初始化 timeline 容器高度和 indicator 位置
    updateTimelineHeight();
    updateIndicatorPosition();

    // 处理滚动事件
    document.addEventListener('scroll', updateIndicatorPosition);

    // 处理窗口大小调整时更新 timeline 高度
    window.addEventListener('resize', updateTimelineHeight);
});

document.addEventListener('DOMContentLoaded', function () {
    const timeline1 = document.querySelector('.timeline1');
    const timelineItems1 = document.querySelectorAll('.timeline-item1');
    const indicator1 = document.querySelector('.timeline-indicator1');

    if (!timeline1 || !indicator1) return; // 确保选择器正确

    // 设置 timeline 容器的高度以确保 indicator 能够在整个滚动区域内移动
    function updateTimelineHeight() {
        const lastItem1 = timelineItems1[timelineItems1.length - 1];
        if (lastItem1) {
            const lastItemRect1 = lastItem1.getBoundingClientRect();
            const timelineRect1 = timeline1.getBoundingClientRect();
            const height = lastItemRect1.bottom - timelineRect1.top;
            timeline1.style.height = `${height}px`;
        }
    }

    // 处理滚动事件
    function updateIndicatorPosition() {
        let activeIndex = -1;

        timelineItems1.forEach((item, index) => {
            const box = item.querySelector('.content-box');
            const rect = box.getBoundingClientRect();

            if (rect.top >= 0 && rect.bottom <= window.innerHeight) {
                box.classList.add('active');
                activeIndex = index;  // 设置当前的 activeIndex
            } else {
                box.classList.remove('active');
            }
        });

        if (activeIndex !== -1) {
            const activeItem = timelineItems1[activeIndex];
            const rect = activeItem.getBoundingClientRect();
            const timelineRect = timeline1.getBoundingClientRect();

            // 根据 activeItem 的位置来设置滑块的位置
            const indicatorTop = rect.top + rect.height / 2 - timelineRect.top;
            indicator1.style.top = `${Math.max(0, indicatorTop)}px`;
        }
    }

    // 初始化 timeline 容器高度和 indicator 位置
    updateTimelineHeight();
    updateIndicatorPosition();

    // 处理滚动事件
    document.addEventListener('scroll', updateIndicatorPosition);

    // 处理窗口大小调整时更新 timeline 高度
    window.addEventListener('resize', updateTimelineHeight);
});

document.addEventListener('DOMContentLoaded', function () {
    const timeline2 = document.querySelector('.timeline2');
    const timelineItems2 = document.querySelectorAll('.timeline-item2');
    const indicator2 = document.querySelector('.timeline-indicator2');

    if (!timeline2 || !indicator2) return; // 确保选择器正确

    // 设置 timeline 容器的高度以确保 indicator 能够在整个滚动区域内移动
    function updateTimelineHeight() {
        const lastItem2 = timelineItems2[timelineItems2.length - 1];
        if (lastItem2) {
            const lastItemRect2 = lastItem2.getBoundingClientRect();
            const timelineRect2 = timeline2.getBoundingClientRect();
            const height = lastItemRect2.bottom - timelineRect2.top;
            timeline2.style.height = `${height}px`;
        }
    }

    // 处理滚动事件
    function updateIndicatorPosition() {
        let activeIndex = -1;

        timelineItems2.forEach((item, index) => {
            const box = item.querySelector('.content-box');
            const rect = box.getBoundingClientRect();

            if (rect.top >= 0 && rect.bottom <= window.innerHeight) {
                box.classList.add('active');
                activeIndex = index;  // 设置当前的 activeIndex
            } else {
                box.classList.remove('active');
            }
        });

        if (activeIndex !== -1) {
            const activeItem = timelineItems2[activeIndex];
            const rect = activeItem.getBoundingClientRect();
            const timelineRect = timeline2.getBoundingClientRect();

            // 根据 activeItem 的位置来设置滑块的位置
            const indicatorTop = rect.top + rect.height / 2 - timelineRect.top;
            indicator2.style.top = `${Math.max(0, indicatorTop)}px`;
        }
    }

    // 初始化 timeline 容器高度和 indicator 位置
    updateTimelineHeight();
    updateIndicatorPosition();

    // 处理滚动事件
    document.addEventListener('scroll', updateIndicatorPosition);

    // 处理窗口大小调整时更新 timeline 高度
    window.addEventListener('resize', updateTimelineHeight);
});

document.addEventListener('DOMContentLoaded', function () {
    const timeline3 = document.querySelector('.timeline3');
    const timelineItems3 = document.querySelectorAll('.timeline-item3');
    const indicator3 = document.querySelector('.timeline-indicator3');

    if (!timeline3 || !indicator3) return; // 确保选择器正确

    // 设置 timeline 容器的高度以确保 indicator 能够在整个滚动区域内移动
    function updateTimelineHeight() {
        const lastItem3 = timelineItems3[timelineItems3.length - 1];
        if (lastItem3) {
            const lastItemRect3 = lastItem3.getBoundingClientRect();
            const timelineRect3 = timeline3.getBoundingClientRect();
            const height = lastItemRect3.bottom - timelineRect3.top;
            timeline3.style.height = `${height}px`;
        }
    }

    // 处理滚动事件
    function updateIndicatorPosition() {
        let activeIndex = -1;

        timelineItems3.forEach((item, index) => {
            const box = item.querySelector('.content-box');
            const rect = box.getBoundingClientRect();

            if (rect.top >= 0 && rect.bottom <= window.innerHeight) {
                box.classList.add('active');
                activeIndex = index;  // 设置当前的 activeIndex
            } else {
                box.classList.remove('active');
            }
        });

        if (activeIndex !== -1) {
            const activeItem = timelineItems3[activeIndex];
            const rect = activeItem.getBoundingClientRect();
            const timelineRect = timeline3.getBoundingClientRect();

            // 根据 activeItem 的位置来设置滑块的位置
            const indicatorTop = rect.top + rect.height / 2 - timelineRect.top;
            indicator3.style.top = `${Math.max(0, indicatorTop)}px`;
        }
    }

    // 初始化 timeline 容器高度和 indicator 位置
    updateTimelineHeight();
    updateIndicatorPosition();

    // 处理滚动事件
    document.addEventListener('scroll', updateIndicatorPosition);

    // 处理窗口大小调整时更新 timeline 高度
    window.addEventListener('resize', updateTimelineHeight);
});
